Debian Bug report logs - #592471
libcarp-clan-perl: Carp::Clan 6.02 has no licenses

version graph

Package: libcarp-clan-perl; Maintainer for libcarp-clan-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>; Source for libcarp-clan-perl is src:libcarp-clan-perl.

Reported by: Vincent Lefevre <vincent@vinc17.net>

Date: Tue, 10 Aug 2010 11:12:01 UTC

Severity: serious

Tags: fixed-upstream, upstream

Found in version libcarp-clan-perl/6.02-1

Fixed in version libcarp-clan-perl/6.04-1

Done: Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#592471; Package libcarp-clan-perl. (Tue, 10 Aug 2010 11:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
New Bug report received and forwarded. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Tue, 10 Aug 2010 11:12:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libcarp-clan-perl: Carp::Clan 6.02 has no licenses
Date: Tue, 10 Aug 2010 13:08:33 +0200
Package: libcarp-clan-perl
Version: 6.02-1
Severity: serious
Tags: upstream fixed-upstream
Justification: Policy 2.3

Upstream Carp-Clan 6.02 has no licenses. Its META.yml file contains:

license:             ~

and the README file doesn't say anything about the license either.
I doubt that the fact the author distributed the Artistic.txt and
GNU_GPL.txt files is sufficient from a legal point of view (note that
for some software, such license files apply only to some part of the
software). Without a license for the whole module distribution, one
can look at what individual files say.

lib/Carp/Clan.pm says:

## This module is free software and can
## be used, modified and redistributed
## under the same terms as Perl itself.

but lib/Carp/Clan.pod says nothing about the license, making at least
the documentation non-free.

There are also possible licensing issues with the test files, which
are silent too.

Anyway this licensing problem is fixed in upstream Carp-Clan 6.04:

Version 6.04  24.10.2009
 + Solved RT ticket #50796 (inform type of license)
 + Made the test suite compatible with Perl versions < v5.6.0

Version 6.03  18.10.2009
 + Re-release to resolve confusion in CPAN caused by intermediate release
   of Carp::Clan 5.4 (backport of bugfix #50560 below for Perls < v5.6.0)

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/8 CPU cores)
Locale: LANG=POSIX, LC_CTYPE=en_US.ISO8859-1 (charmap=ISO-8859-1)
Shell: /bin/sh linked to /bin/dash

Versions of packages libcarp-clan-perl depends on:
ii  perl                          5.10.1-14  Larry Wall's Practical Extraction 

libcarp-clan-perl recommends no packages.

libcarp-clan-perl suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#592471; Package libcarp-clan-perl. (Tue, 10 Aug 2010 14:39:05 GMT) Full text and rfc822 format available.

Message #8 received at 592471@bugs.debian.org (full text, mbox):

From: pkg-perl-maintainers@lists.alioth.debian.org
To: 592471@bugs.debian.org, 592471-submitter@bugs.debian.org
Subject: Bug in libcarp-clan-perl fixed in revision 61506
Date: Tue, 10 Aug 2010 14:37:00 +0000
tag 592471 + pending
thanks

Some bugs are closed in revision 61506
by Salvatore Bonaccorso (carnil-guest)

Commit message:

* New upstream release (Closes: #592471).
* Add myself to Uploaders.




Added tag(s) pending. Request was from pkg-perl-maintainers@lists.alioth.debian.org to control@bugs.debian.org. (Tue, 10 Aug 2010 14:39:08 GMT) Full text and rfc822 format available.

Message sent on to Vincent Lefevre <vincent@vinc17.net>:
Bug#592471. (Tue, 10 Aug 2010 14:39:11 GMT) Full text and rfc822 format available.

Reply sent to Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>:
You have taken responsibility. (Sat, 14 Aug 2010 15:21:08 GMT) Full text and rfc822 format available.

Notification sent to Vincent Lefevre <vincent@vinc17.net>:
Bug acknowledged by developer. (Sat, 14 Aug 2010 15:21:08 GMT) Full text and rfc822 format available.

Message #18 received at 592471-close@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>
To: 592471-close@bugs.debian.org
Subject: Bug#592471: fixed in libcarp-clan-perl 6.04-1
Date: Sat, 14 Aug 2010 15:17:24 +0000
Source: libcarp-clan-perl
Source-Version: 6.04-1

We believe that the bug you reported is fixed in the latest version of
libcarp-clan-perl, which is due to be installed in the Debian FTP archive:

libcarp-clan-perl_6.04-1.debian.tar.gz
  to main/libc/libcarp-clan-perl/libcarp-clan-perl_6.04-1.debian.tar.gz
libcarp-clan-perl_6.04-1.dsc
  to main/libc/libcarp-clan-perl/libcarp-clan-perl_6.04-1.dsc
libcarp-clan-perl_6.04-1_all.deb
  to main/libc/libcarp-clan-perl/libcarp-clan-perl_6.04-1_all.deb
libcarp-clan-perl_6.04.orig.tar.gz
  to main/libc/libcarp-clan-perl/libcarp-clan-perl_6.04.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 592471@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com> (supplier of updated libcarp-clan-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 10 Aug 2010 21:38:44 +0200
Source: libcarp-clan-perl
Binary: libcarp-clan-perl
Architecture: source all
Version: 6.04-1
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>
Description: 
 libcarp-clan-perl - Perl enhancement to Carp error logging facilities
Closes: 592471
Changes: 
 libcarp-clan-perl (6.04-1) unstable; urgency=low
 .
   [ Jonathan Yu ]
   * New upstream release (Closes: #592471).
 .
   [ Salvatore Bonaccorso ]
   * Add myself to Uploaders.
   * Install README to /usr/share/doc/libcarp-clan-perl.
   * debian/copyright:
     - Refresh to revision 135 of DEP5 format-specification for
       machine-readable copyright file.
     - Refresh debian/* packaging stanza.
     - Explicitly refer to GPL-1 text in common-licenses.
   * Convert to '3.0 (quilt)' source package format.
   * Bump Standards-Version to 3.9.1.
Checksums-Sha1: 
 10cfffa46abf4c1b333bfb1689f0d080b635cae3 2119 libcarp-clan-perl_6.04-1.dsc
 c280f20b15ec960af16e1b23d01864a9597332e0 19345 libcarp-clan-perl_6.04.orig.tar.gz
 1ea4b9f502a33ea8da88795b5518f08fdf1b8d96 3057 libcarp-clan-perl_6.04-1.debian.tar.gz
 12b569faf4bc5e9b77cc6489b699a92fd91328e3 15766 libcarp-clan-perl_6.04-1_all.deb
Checksums-Sha256: 
 2d12446f8191b5320ecd1161c7dcc4df719173a6dfc621c017550bfc8ab0749a 2119 libcarp-clan-perl_6.04-1.dsc
 542e13ece92d40545b8ba6626cfc6ed73071c6cbf6a5537ca126c41b349ae1ec 19345 libcarp-clan-perl_6.04.orig.tar.gz
 4b608ebd4abd5719382eb9d580a74855e42d81f2ea3a0aa32f4654a66fc7ead6 3057 libcarp-clan-perl_6.04-1.debian.tar.gz
 48ad78d183068227afbe53d7ad0c86570f32a4bad4ea96ec2c2d4bbad128f715 15766 libcarp-clan-perl_6.04-1_all.deb
Files: 
 0d5ebbdf646b8f029e072172a8ad5d84 2119 perl optional libcarp-clan-perl_6.04-1.dsc
 b6316bc51bb530d994f2784615939fb2 19345 perl optional libcarp-clan-perl_6.04.orig.tar.gz
 eb28489465839d6f4ffe58b4f24199fc 3057 perl optional libcarp-clan-perl_6.04-1.debian.tar.gz
 a26b5a62be2debfcd6656d586de7456c 15766 perl optional libcarp-clan-perl_6.04-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJMZq9YAAoJEOQbTFV/DYC+RZ0P/jaWytUL/gAdm+ygUgsxRPnQ
KvN0zQFPzuVyuR8zq0VL5We21obfDcEE1G+/q58/Ks7y81XOwWx3Yil4p3Sn+rv2
OI3IyWO+Ryka2/e+mYIFJv/nBjOYCBo7bANEUjH18TD3oxTY2Lw1PYpOkWQ1+zuT
/gnAZ+t6ZPj9jERLfNQELBwnGmTdIh8w/ygIa8dIwkBfzXvInxGuELo5KUz5bUu2
GANRGH76TzV/0Vz2VTC3pAK7XS0mkblKmKJZHFrK5W1niqu2ZlPjjAloZZ0UAnpO
kqk+YtbAiZ5HQSd97EM9VBGQMfc80zAxxIOWHbAemAOBLpm0mLnXj3p4Rr6MkpA3
0sfiyBPy1ZdtptWAIV0S76uDRqTM6m2O8AdN53lxDnYJ47fjetwFbage9Dz/CU12
3jmKRDDiQ21QiPhk6iDGEHtFbfJWeTpOOBPG54CVU1paIQcY907ezlgxje93/pu6
OE7+eroE3lxSjVawUNOL7dyxUncUty12OqUnyWPJ58uaf3yvlhFGWoRIUGx0v2aF
2YXujQzc0jC8wkLy0CcmS8NXpxdIM4zAJMAoXx0waW74TRZpz2ZNwx0qi4uWNX6L
J2d/CPa36Z64PLz4NIXTQZ4doAfsEc1CU2mk1MOlL1EJAwggvvon1lPDcDLN5+nP
mqppxapJufwWJ1T05MVe
=/PxV
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 22 Sep 2010 07:34:14 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 00:37:38 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.